Page MenuHomePhabricator

[InlineFunction] Preserve attributes when forwarding VarArgs.
ClosedPublic

Authored by fhahn on Dec 23 2017, 10:04 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

fhahn created this revision.Dec 23 2017, 10:04 AM
rnk accepted this revision.Dec 28 2017, 11:54 AM

Looks good with one test, thanks!

test/Transforms/Inline/inline-varargs.ll
45 ↗(On Diff #128082)

Can you add a test using an signext i8 return type and attribute?

This revision is now accepted and ready to land.Dec 28 2017, 11:54 AM
fhahn updated this revision to Diff 128854.Jan 6 2018, 12:43 PM
fhahn marked an inline comment as done.

Rebased and add signext tests

This revision was automatically updated to reflect the committed changes.